Docs
Update Threshold
PUT /rule-sets/{ruleSetId}/rules/{ruleId}/thresholds/{thresholdId}
PUT
/rule-sets/{ruleSetId}/rules/{ruleId}/thresholds/{thresholdId}Replaces a threshold's order, amount, unit, operator and resulting state. Needs the event settings permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| ruleSetId | uuid | Required | |
| ruleId | uuid | Required | |
| thresholdId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| order | integer | Optional | |
| threshold | number | Optional | |
| thresholdUnit | string | Optional | |
| operator | string | Optional | |
| resultingStateId | uuid | Optional |